diff --git a/epgsearchext.c b/epgsearchext.c
index 9d11c3b..7593c7c 100644
--- a/epgsearchext.c
+++ b/epgsearchext.c
@@ -1158,7 +1158,7 @@ void cSearchExt::CheckRepeatTimers(cSearchResults* pResults)
       return;
 
    LogFile.Log(2,"analysing repeats for search timer '%s'...", search);
-   if (action != searchTimerActionRecord)
+   if ((action != searchTimerActionRecord) && (action != searchTimerActionInactiveRecord))
    {
       LogFile.Log(3,"search timer not set to 'record', so skip all");
       return;
@@ -1167,7 +1167,7 @@ void cSearchExt::CheckRepeatTimers(cSearchResults* pResults)
    cSearchResult* pResultObj = NULL;
    for (pResultObj = pResults->First(); pResultObj; pResultObj = pResults->Next(pResultObj))
    {
-      if (action != searchTimerActionRecord) // only announce if there is no timer for the event
+      if ((action != searchTimerActionRecord) && (action != searchTimerActionInactiveRecord)) // only announce if there is no timer for the event
       {
          pResultObj->needsTimer = false;
          continue;
diff --git a/epgsearchext.h b/epgsearchext.h
index eee3cf4..0db3b53 100644
--- a/epgsearchext.h
+++ b/epgsearchext.h
@@ -51,7 +51,8 @@ typedef enum
     searchTimerActionAnnounceViaOSD,
     searchTimerActionSwitchOnly,
     searchTimerActionAnnounceAndSwitch,
-    searchTimerActionAnnounceViaMail
+    searchTimerActionAnnounceViaMail,
+    searchTimerActionInactiveRecord
 } searchTimerAction;
 
 class cSearchExt;
diff --git a/menu_searchedit.c b/menu_searchedit.c
index e44e8c8..63aa367 100644
--- a/menu_searchedit.c
+++ b/menu_searchedit.c
@@ -80,6 +80,7 @@ cMenuEditSearchExt::cMenuEditSearchExt(cSearchExt *SearchExt, bool New, bool Tem
    SearchTimerModes[2] = strdup(tr("Switch only"));
    SearchTimerModes[3] = strdup(tr("Announce and switch"));
    SearchTimerModes[4] = strdup(tr("Announce by mail"));
+   SearchTimerModes[5] = strdup(tr("Inactive record"));
 
    BlacklistModes[0] = strdup(tr("only globals"));
    BlacklistModes[1] = strdup(tr("Selection"));
@@ -353,7 +354,7 @@ void cMenuEditSearchExt::Set()
    Add(new cMenuEditStraItem( tr("Use as search timer"), &data.useAsSearchTimer, 3, SearchActiveModes));
    if (data.useAsSearchTimer)
    {
-      Add(new cMenuEditStraItem(IndentMenuItem(tr("Action")), &data.action, 5, SearchTimerModes));
+      Add(new cMenuEditStraItem(IndentMenuItem(tr("Action")), &data.action, 6, SearchTimerModes));
       if (data.action == searchTimerActionSwitchOnly)
       {
          Add(new cMenuEditIntItem(IndentMenuItem(tr("Switch ... minutes before start")), &data.switchMinsBefore, 0, 99));
@@ -364,7 +365,7 @@ void cMenuEditSearchExt::Set()
          Add(new cMenuEditIntItem(IndentMenuItem(tr("Ask ... minutes before start")), &data.switchMinsBefore, 0, 99));
          Add(new cMenuEditBoolItem(IndentMenuItem(tr("Unmute sound")), &data.unmuteSoundOnSwitch, trVDR("no"), trVDR("yes")));
       }
-      if (data.action == searchTimerActionRecord)
+      if ((data.action == searchTimerActionRecord) || (data.action == searchTimerActionInactiveRecord))
       {
          Add(new cMenuEditBoolItem( tr("  Series recording"), &data.useEpisode, trVDR("no"), trVDR("yes")));
          Add(new cMenuEditStrItem(IndentMenuItem(tr("Directory")), data.directory, sizeof(data.directory), tr(AllowedChars)));
@@ -409,7 +410,7 @@ void cMenuEditSearchExt::Set()
          Add(new cMenuEditIntItem(IndentMenuItem(trVDR("Setup.Recording$Margin at stop (min)")), &data.MarginStop, -INT_MAX, INT_MAX));
          Add(new cMenuEditBoolItem(IndentMenuItem(tr("VPS")), &data.useVPS, trVDR("no"), trVDR("yes")));
       }
-      if (data.action == searchTimerActionRecord)
+      if ((data.action == searchTimerActionRecord) || (data.action == searchTimerActionInactiveRecord))
 	{
 	  Add(new cMenuEditStraItem(IndentMenuItem(tr("Auto delete")), &data.delMode, 3, DelModes));
 	  if (data.delMode == 1)
@@ -441,9 +442,9 @@ cMenuEditSearchExt::~cMenuEditSearchExt()
       free(SearchModes[i]);
    for(i=0; i<=7; i++)
       free(DaysOfWeek[i]);
-   for(i=0; i<=2; i++)
+   for(i=0; i<=3; i++)
       free(UseChannelSel[i]);
-   for(i=0; i<=2; i++)
+   for(i=0; i<=5; i++)
       free(SearchTimerModes[i]);
    for(i=0; i<=3; i++)
       free(BlacklistModes[i]);
diff --git a/menu_searchedit.h b/menu_searchedit.h
index 9bfbf4f..f026dac 100644
--- a/menu_searchedit.h
+++ b/menu_searchedit.h
@@ -48,7 +48,7 @@ protected:
   char *SearchModes[6];
   char *DaysOfWeek[8];
   char *UseChannelSel[4];
-  char *SearchTimerModes[5];
+  char *SearchTimerModes[6];
   char *BlacklistModes[4];
   char *DelModes[3];
   char *SearchActiveModes[3];
diff --git a/po/ca_ES.po b/po/ca_ES.po
index a86b5cc..e44add5 100644
--- a/po/ca_ES.po
+++ b/po/ca_ES.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Jordi Vilà <jvila@tinet.org>\n"
 "Language-Team: Catalan <vdr@linuxtv.org>\n"
@@ -956,6 +956,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/cs_CZ.po b/po/cs_CZ.po
index 2d071c7..884a5ee 100644
--- a/po/cs_CZ.po
+++ b/po/cs_CZ.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.7.21\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2011-10-31 20:21+0200\n"
 "Last-Translator: Radek Stastny <dedkus@gmail.com>\n"
 "Language-Team: Czech <vdr@linuxtv.org>\n"
@@ -953,6 +953,9 @@ msgstr "Informovat a přepnout"
 msgid "Announce by mail"
 msgstr "Informovat mailem"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr "globální"
 
diff --git a/po/da_DK.po b/po/da_DK.po
index 008c328..2eccacf 100644
--- a/po/da_DK.po
+++ b/po/da_DK.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Mogens Elneff <mogens@elneff.dk>\n"
 "Language-Team: Danish <vdr@linuxtv.org>\n"
@@ -954,6 +954,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/de_DE.po b/po/de_DE.po
index 09b0c75..dae3f86 100644
--- a/po/de_DE.po
+++ b/po/de_DE.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Klaus Schmidinger <kls@cadsoft.de>\n"
 "Language-Team: German <vdr@linuxtv.org>\n"
@@ -991,6 +991,9 @@ msgstr "Ankündigen und Umschalten"
 msgid "Announce by mail"
 msgstr "per Mail ankündigen"
 
+msgid "Inactive record"
+msgstr "inaktive Aufnahme"
+
 msgid "only globals"
 msgstr "nur globale"
 
diff --git a/po/el_GR.po b/po/el_GR.po
index d9c5fc1..4956913 100644
--- a/po/el_GR.po
+++ b/po/el_GR.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Dimitrios Dimitrakos <mail@dimitrios.de>\n"
 "Language-Team: Greek <vdr@linuxtv.org>\n"
@@ -954,6 +954,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/es_ES.po b/po/es_ES.po
index 069bb5b..d4139e4 100644
--- a/po/es_ES.po
+++ b/po/es_ES.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-11-18 20:09+0200\n"
 "Last-Translator: bittor from open7x0.org <bittor7x0 _at_ gmail.com>\n"
 "Language-Team: Spanish <vdr@linuxtv.org>\n"
@@ -997,6 +997,9 @@ msgstr "Avisar y cambiar"
 msgid "Announce by mail"
 msgstr "Sólo avisar"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/et_EE.po b/po/et_EE.po
index 3cefb49..d944b0e 100644
--- a/po/et_EE.po
+++ b/po/et_EE.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Arthur Konovalov <kasjas@hot.ee>\n"
 "Language-Team: Estonian <vdr@linuxtv.org>\n"
@@ -954,6 +954,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/fi_FI.po b/po/fi_FI.po
index 4e5f963..ed791fd 100644
--- a/po/fi_FI.po
+++ b/po/fi_FI.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: EPGSearch 0.9.25\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2011-01-04 21:07+0200\n"
 "Last-Translator: Ville Skyttä <ville.skytta@iki.fi>\n"
 "Language-Team: Finnish <vdr@linuxtv.org>\n"
@@ -995,6 +995,9 @@ msgstr "muistutus ja kanavanvaihto"
 msgid "Announce by mail"
 msgstr "muistutus sähköpostitse"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr "vain globaalit"
 
diff --git a/po/fr_FR.po b/po/fr_FR.po
index feb877c..f6a6a50 100644
--- a/po/fr_FR.po
+++ b/po/fr_FR.po
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2008-04-30 08:36+0200\n"
 "Last-Translator: Patrice Staudt <patrice.staudt@laposte.net>\n"
 "Language-Team: French <vdr@linuxtv.org>\n"
@@ -998,6 +998,9 @@ msgstr "Annoncer seulement début d'une programme"
 msgid "Announce by mail"
 msgstr "Annoncer seulement début d'une programme"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/hr_HR.po b/po/hr_HR.po
index 1e6c148..3e6c96a 100644
--- a/po/hr_HR.po
+++ b/po/hr_HR.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Drazen Dupor <drazen.dupor@dupor.com>\n"
 "Language-Team: Croatian <vdr@linuxtv.org>\n"
@@ -955,6 +955,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/hu_HU.po b/po/hu_HU.po
index d156991..3e8beea 100644
--- a/po/hu_HU.po
+++ b/po/hu_HU.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Istvan Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>\n"
 "Language-Team: Hungarian <vdr@linuxtv.org>\n"
@@ -953,6 +953,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/it_IT.po b/po/it_IT.po
index 9c76e0d..1e58dc4 100644
--- a/po/it_IT.po
+++ b/po/it_IT.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2011-07-17 17:46+0100\n"
 "Last-Translator: Diego Pierotto <vdr-italian@tiscali.it>\n"
 "Language-Team: Italian <vdr@linuxtv.org>\n"
@@ -998,6 +998,9 @@ msgstr "Annuncia e cambia"
 msgid "Announce by mail"
 msgstr "Annuncia tramite email"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr "solo globali"
 
diff --git a/po/lt_LT.po b/po/lt_LT.po
index a9f2cf4..8ba7d9d 100644
--- a/po/lt_LT.po
+++ b/po/lt_LT.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.7.10\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Valdemaras Pipiras <varas@ambernet.lt>\n"
 "Language-Team: Lithuanian <vdr@linuxtv.org>\n"
@@ -1000,6 +1000,9 @@ msgstr "Perspėti ir perjungti"
 msgid "Announce by mail"
 msgstr "Perspėti per emailą"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/nl_NL.po b/po/nl_NL.po
index 6e48357..a73d63d 100644
--- a/po/nl_NL.po
+++ b/po/nl_NL.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Maarten Wisse <Maarten.Wisse@urz.uni-hd.de>\n"
 "Language-Team: Dutch <vdr@linuxtv.org>\n"
@@ -997,6 +997,9 @@ msgstr "Alleen aankondigen (geen timer)"
 msgid "Announce by mail"
 msgstr "Alleen aankondigen (geen timer)"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/nn_NO.po b/po/nn_NO.po
index ea595f8..e1f4fd5 100644
--- a/po/nn_NO.po
+++ b/po/nn_NO.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Truls Slevigen <truls@slevigen.no>\n"
 "Language-Team: Norwegian Nynorsk <vdr@linuxtv.org>\n"
@@ -953,6 +953,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/pl_PL.po b/po/pl_PL.po
index 7b46579..053e68b 100644
--- a/po/pl_PL.po
+++ b/po/pl_PL.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Michael Rakowski <mrak@gmx.de>\n"
 "Language-Team: Polish <vdr@linuxtv.org>\n"
@@ -953,6 +953,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/pt_PT.po b/po/pt_PT.po
index 67fa81c..ffb8ec5 100644
--- a/po/pt_PT.po
+++ b/po/pt_PT.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Paulo Lopes <pmml@netvita.pt>\n"
 "Language-Team: Portuguese <vdr@linuxtv.org>\n"
@@ -952,6 +952,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/ro_RO.po b/po/ro_RO.po
index 13d2a3d..bce8efd 100644
--- a/po/ro_RO.po
+++ b/po/ro_RO.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Lucian Muresan <lucianm@users.sourceforge.net>\n"
 "Language-Team: Romanian <vdr@linuxtv.org>\n"
@@ -953,6 +953,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/ru_RU.po b/po/ru_RU.po
index fa73059..2f6a603 100644
--- a/po/ru_RU.po
+++ b/po/ru_RU.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Vyacheslav Dikonov <sdiconov@mail.ru>\n"
 "Language-Team: Russian <vdr@linuxtv.org>\n"
@@ -952,6 +952,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/sk_SK.po b/po/sk_SK.po
index 52765d7..09510e8 100644
--- a/po/sk_SK.po
+++ b/po/sk_SK.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: epgsearch\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2009-11-02 09:40+0100\n"
 "Last-Translator: Milan Hrala <hrala.milan@gmail.com>\n"
 "Language-Team: Slovak <hrala.milan@gmail.com>\n"
@@ -998,6 +998,9 @@ msgstr "Iba oznámiť"
 msgid "Announce by mail"
 msgstr "Iba oznámiť"
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/sl_SI.po b/po/sl_SI.po
index d3e4087..49450a6 100644
--- a/po/sl_SI.po
+++ b/po/sl_SI.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Matjaz Thaler <matjaz.thaler@guest.arnes.si>\n"
 "Language-Team: Slovenian <vdr@linuxtv.org>\n"
@@ -954,6 +954,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/sv_SE.po b/po/sv_SE.po
index 4b59f38..a1e0c73 100644
--- a/po/sv_SE.po
+++ b/po/sv_SE.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Tomas Prybil <tomas@prybil.se>\n"
 "Language-Team: Swedish <vdr@linuxtv.org>\n"
@@ -954,6 +954,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/po/tr_TR.po b/po/tr_TR.po
index 47852fd..a3aa221 100644
--- a/po/tr_TR.po
+++ b/po/tr_TR.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2013-03-05 20:24+0100\n"
+"POT-Creation-Date: 2015-01-10 16:38+0100\n"
 "PO-Revision-Date: 2007-08-14 20:21+0200\n"
 "Last-Translator: Oktay Yolgeçen <oktay_73@yahoo.de>\n"
 "Language-Team: Turkish <vdr@linuxtv.org>\n"
@@ -952,6 +952,9 @@ msgstr ""
 msgid "Announce by mail"
 msgstr ""
 
+msgid "Inactive record"
+msgstr ""
+
 msgid "only globals"
 msgstr ""
 
diff --git a/searchtimer_thread.c b/searchtimer_thread.c
index 34d625f..3e8b4ab 100644
--- a/searchtimer_thread.c
+++ b/searchtimer_thread.c
@@ -138,7 +138,7 @@ cTimer *cSearchTimerThread::GetTimer(cSearchExt *searchExt, const cEvent *pEvent
          continue;
 
       // ignore manual timers if this search could modify them
-      if (searchExt->action == searchTimerActionRecord && TriggeredFromSearchTimerID(ti) == -1) // manual timer
+      if ((searchExt->action == searchTimerActionRecord || searchExt->action == searchTimerActionInactiveRecord) && TriggeredFromSearchTimerID(ti) == -1) // manual timer
          continue;
 
       if (UseVPS && ti->HasFlags(tfVps))
@@ -677,6 +677,9 @@ bool cSearchTimerThread::AddModTimer(cTimer* Timer, int index, cSearchExt* searc
    else
       Flags = 1; // don't use VPS, if not set in this search
 
+   if (searchExt->action == searchTimerActionInactiveRecord)
+      Flags &= ~tfActive;
+
    // already done the same timer?
    if (!EPGSearchConfig.TimerProgRepeat && index == 0 && TimersDone.InList(start, stop, pEvent, -1))
    {